diff --git a/src/Castle.Core/Castle.Core.csproj b/src/Castle.Core/Castle.Core.csproj
index 5b6c8c3..dbac311 100644
--- a/src/Castle.Core/Castle.Core.csproj
+++ b/src/Castle.Core/Castle.Core.csproj
@@ -1,642 +1,653 @@
-ï»¿<?xml version="1.0" encoding="utf-8"?>
-<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
-  <PropertyGroup>
-    <RootPath Condition=" '$(RootPath)' == '' ">$(MSBuildProjectDirectory)\..\..</RootPath>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-  </PropertyGroup>
-  <PropertyGroup>
-    <Configuration Condition=" '$(Configuration)' == '' ">NET40-Debug</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
-    <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{E4FA5B53-7D36-429E-8E5C-53D5479242BA}</ProjectGuid>
-    <OutputType>Library</OutputType>
-    <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>Castle</RootNamespace>
-    <AssemblyName>Castle.Core</AssemblyName>
-    <SignAssembly>true</SignAssembly>
-    <AssemblyOriginatorKeyFile>..\..\buildscripts\CastleKey.snk</AssemblyOriginatorKeyFile>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'NET40-Debug|AnyCPU' ">
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
-    <OutputPath>bin\NET40-Debug\</OutputPath>
-    <DebugSymbols>true</DebugSymbols>
-    <DebugType>full</DebugType>
-    <Optimize>false</Optimize>
-    <DefineConstants>TRACE;DEBUG;DOTNET40 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <DocumentationFile>
-    </DocumentationFile>
-    <NoWarn>1591</NoWarn>
-    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'NET40-Release|AnyCPU' ">
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
-    <OutputPath>bin\NET40-Release\</OutputPath>
-    <DebugType>pdbonly</DebugType>
-    <Optimize>true</Optimize>
-    <DefineConstants>TRACE;DOTNET40 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\NET40-Release\Castle.Core.xml</DocumentationFile>
-    <NoWarn>1591</NoWarn>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET35-Debug|AnyCPU'">
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <OutputPath>bin\NET35-Debug\</OutputPath>
-    <DefineConstants>TRACE;DEBUG;DOTNET35 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
-    <DocumentationFile>
-    </DocumentationFile>
-    <Optimize>true</Optimize>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <NoWarn>1591</NoWarn>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET35-Release|AnyCPU'">
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <OutputPath>bin\NET35-Release\</OutputPath>
-    <DefineConstants>TRACE;DOTNET35 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
-    <DocumentationFile>bin\NET35-Release\Castle.Core.xml</DocumentationFile>
-    <Optimize>true</Optimize>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <NoWarn>1591</NoWarn>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL40-Release|AnyCPU'">
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <MSBuildTargets>Silverlight 4.0</MSBuildTargets>
-    <OutputPath>bin\SL40-Release\</OutputPath>
-    <DefineConstants>TRACE;SILVERLIGHT SL4 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
-    <DocumentationFile>bin\SL40-Release\Castle.Core.xml</DocumentationFile>
-    <Optimize>true</Optimize>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <NoWarn>1591 1685</NoWarn>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL40-Debug|AnyCPU'">
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <MSBuildTargets>Silverlight 4.0</MSBuildTargets>
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\SL40-Debug\</OutputPath>
-    <DefineConstants>TRACE;DEBUG;SILVERLIGHT SL4 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
-    <DocumentationFile>
-    </DocumentationFile>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <NoWarn>1591 1685</NoWarn>
-    <DebugType>full</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL50-Release|AnyCPU'">
-    <TargetFrameworkVersion>v5.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <MSBuildTargets>Silverlight 5.0</MSBuildTargets>
-    <OutputPath>bin\SL50-Release\</OutputPath>
-    <DefineConstants>TRACE;SILVERLIGHT SL5 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
-    <DocumentationFile>bin\SL50-Release\Castle.Core.xml</DocumentationFile>
-    <Optimize>true</Optimize>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <NoWarn>1591 1685</NoWarn>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL50-Debug|AnyCPU'">
-    <TargetFrameworkVersion>v5.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <MSBuildTargets>Silverlight 5.0</MSBuildTargets>
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\SL40-Debug\</OutputPath>
-    <DefineConstants>TRACE;DEBUG;SILVERLIGHT SL5 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
-    <DocumentationFile>
-    </DocumentationFile>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <NoWarn>1591 1685</NoWarn>
-    <DebugType>full</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET45-Debug|AnyCPU'">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\NET45-Debug\</OutputPath>
-    <DefineConstants>TRACE;DEBUG;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
-    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <NoWarn>1591</NoWarn>
-    <DebugType>full</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET45-Release|AnyCPU'">
-    <OutputPath>bin\NET45-Release\</OutputPath>
-    <DefineConstants>TRACE;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
-    <DocumentationFile>bin\NET45-Release\Castle.Core.xml</DocumentationFile>
-    <Optimize>true</Optimize>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <NoWarn>1591</NoWarn>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <ItemGroup Condition="$(MSBuildTargets)!='Silverlight 5.0' and $(MSBuildTargets)!='Silverlight 4.0'">
-    <Reference Include="System.configuration" />
-    <Reference Include="System.Xml" />
-  </ItemGroup>
-  <ItemGroup>
-    <Reference Include="System" />
-    <Reference Include="System.Core" />
-  </ItemGroup>
-  <ItemGroup>
-    <Compile Include="..\..\buildscripts\CommonAssemblyInfo.cs">
-      <Link>CommonAssemblyInfo.cs</Link>
-    </Compile>
-    <Compile Include="Compatibility\IntrospectionExtensions.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\ListProjectionDebugView.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\ICollectionAdapter.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\ReferenceAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\XPathVariableAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\IfExistsAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\RemoveIfEmptyAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\VolatileAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\RemoveIfAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\XmlDefaultsAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\StringStorageAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterExtensions.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\IVirtual.cs" />
-    <Compile Include="Components.DictionaryAdapter\MemberwiseEqualityHashCodeStrategy.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Copy.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryCopyStrategy.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Coerce.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryCoerceStrategy.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryBehaviorBuilder.cs" />
-    <Compile Include="Components.DictionaryAdapter\GenericDictionaryAdapter.cs" />
-    <Compile Include="Components.DictionaryAdapter\PropertyChangedEventArgsEx.cs" />
-    <Compile Include="Components.DictionaryAdapter\PropertyChangingEventArgsEx.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\BindingList.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\IBindingList.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\IBindingListSource.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\ICollectionAdapterObserver.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\ICollectionProjection.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\ICondition.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\IVirtualSite.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\IVirtualTarget.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\ListProjection.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\SetProjection.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\VirtualObject.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\VirtualSite.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Core\DefaultXmlReferenceFormat.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryReferenceManager.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Core\IXmlReferenceFormat.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Collections\XmlCollectionAdapter.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlNodeSource.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlIterator.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\SystemXml\SysXmlSubtreeIterator.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlNodeBase.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlPositionComparer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Core\XmlReferenceManager.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\XRef.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlContextBase.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlContext.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlSelfAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Collections\XmlNodeSet.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlCollectionSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlSetSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlXmlNodeSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlIncludedType.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlIncludedTypeMap.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\IXmlBehaviorSemantics.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlNodeAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlIdentity.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\IXmlAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\IXmlCollectionAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\IXmlPropertyAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlAccessorFactory.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlArrayBehaviorAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlAttributeBehaviorAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlDefaultBehaviorAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlElementBehaviorAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlIgnoreBehaviorAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XPathBehaviorAccessor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Collections\XmlCollectionItem.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Collections\XmlNodeList.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlKnownType.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\XmlIncludedType.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlKnownTypeMap.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\XmlIncludedTypeSet.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\XmlKnownType.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlArraySerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlComponentSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlCustomSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlDefaultSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlDynamicSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlEnumerationSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlListSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlSimpleSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlStringSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlTypeKind.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlTypeSerializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlTypeSerializerCache.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\Xmlns.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\DictionaryAdapterExtensions.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\IRealizable.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\StringExtensions.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\TypeExtensions.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\Wsdl.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\Xsd.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\Xsi.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\IConfigurable.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\Try.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlNamespaceSource.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\SystemXml\SysXmlExtensions.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\XmlKnownTypeSet.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\Error.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\SystemXml\SysXmlCursor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\SingletonDispenser.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\XmlSubtreeReader.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\XmlSubtreeWriter.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlCursor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlNode.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\CursorFlags.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\SystemXml\SysXmlNode.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlExtensions.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlName.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlNameComparer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\CompiledXPath.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\CompiledXPathNode.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\CompiledXPathStep.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlContext.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlSelfCursor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathBufferedNodeIterator.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathContext.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathExtensions.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathCompiler.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathMutableCursor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathNode.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathReadOnlyCursor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Core\XmlAdapter.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Core\XmlMetadata.cs" />
-    <Compile Include="Components.DictionaryAdapter\Xml\Core\XmlMetadataBehavior.cs" />
-    <Compile Include="Core\Internal\CollectionExtensions.cs" />
-    <Compile Include="Core\Internal\ExceptionMessageBuilder .cs" />
-    <Compile Include="Core\Internal\InterfaceAttributeUtil.cs" />
-    <Compile Include="Core\Internal\TypeExtensions.cs" />
-    <Compile Include="Core\Internal\WeakKey.cs" />
-    <Compile Include="Core\Internal\WeakKeyComparer.cs" />
-    <Compile Include="Core\Internal\WeakKeyDictionary.cs" />
-    <Compile Include="Core\ReferenceEqualityComparer.cs" />
-    <Compile Include="Core\Extensions\SimpleConverter.cs" />
-    <Compile Include="Core\Internal\InternalsVisible.cs" />
-    <Compile Include="Core\Internal\PermissionUtil.cs" />
-    <Compile Include="Components.DictionaryAdapter\AbstractDictionaryAdapter.cs" />
-    <Compile Include="Components.DictionaryAdapter\AbstractDictionaryAdapterVisitor.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\ComponentAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\DictionaryAdapterAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\DictionaryBehaviorAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\FetchAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\GroupAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\KeyAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\KeyPrefixAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\KeySubstitutionAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\MultiLevelEditAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\NewGuidAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\OnDemandAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\StringFormatAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\StringListAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\StringValuesAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\SuppressNotificationsAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\TypeKeyPrefixAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\XmlNamespaceAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\XPathAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\Attributes\XPathFunctionAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter\CascadingDictionaryAdapter.cs" />
-    <Compile Include="Components.DictionaryAdapter\DefaultPropertyGetter.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Create.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Edit.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Notify.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Validate.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterFactory.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterInstance.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterMeta.cs" />
-    <Compile Include="Components.DictionaryAdapter\DictionaryValidateGroup.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryAdapter.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryAdapterFactory.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryAdapterVisitor.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryBehavior.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryCreate.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryCreateStrategy.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryEdit.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryEqualityHashCodeStrategy.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryInitializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryKeyBuilder.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryMetaInitializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryNotify.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryPropertyGetter.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryPropertySetter.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryValidate.cs" />
-    <Compile Include="Components.DictionaryAdapter\IDictionaryValidator.cs" />
-    <Compile Include="Components.DictionaryAdapter\IPropertyDescriptorInitializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\NameValueCollectionAdapter.cs" />
-    <Compile Include="Components.DictionaryAdapter\PropertyDescriptor.cs" />
-    <Compile Include="Core\Internal\AttributesUtil.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\BindingListInitializer.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\DynamicValue.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\DynamicValueDelegate.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\EditableBindingList.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\EditableList.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\IDynamicValue.cs" />
-    <Compile Include="Components.DictionaryAdapter\Util\IValueInitializer.cs" />
-    <Compile Include="Core\Logging\LoggerLevel.cs" />
-    <Compile Include="DynamicProxy\AbstractInvocation.cs" />
-    <Compile Include="DynamicProxy\AllMethodsHook.cs" />
-    <Compile Include="AssemblyInfo.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\TryStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\FinallyStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\EndExceptionBlockStatement.cs" />
-    <Compile Include="DynamicProxy\Internal\CompositionInvocation.cs" />
-    <Compile Include="DynamicProxy\Contributors\ClassProxyWithTargetTargetContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\CompositeTypeContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\DelegateTypeGenerator.cs" />
-    <Compile Include="DynamicProxy\Contributors\InterfaceProxyWithOptionalTargetContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\InvocationWithDelegateContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\InvocationWithGenericDelegateContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\OptionallyForwardingMethodGenerator.cs" />
-    <Compile Include="DynamicProxy\Contributors\WrappedClassMembersCollector.cs" />
-    <Compile Include="DynamicProxy\Generators\AttributeDisassembler.cs" />
-    <Compile Include="DynamicProxy\Internal\TypeUtil.cs" />
-    <Compile Include="DynamicProxy\InvalidProxyConstructorArgumentsException.cs" />
-    <Compile Include="DynamicProxy\ProxyUtil.cs" />
-    <Compile Include="DynamicProxy\Serialization\CacheMappingsAttribute.cs" />
-    <Compile Include="DynamicProxy\Contributors\ClassMembersCollector.cs" />
-    <Compile Include="DynamicProxy\Contributors\MinimialisticMethodGenerator.cs" />
-    <Compile Include="DynamicProxy\Contributors\InterfaceMembersCollector.cs" />
-    <Compile Include="DynamicProxy\Contributors\InterfaceMembersOnClassCollector.cs" />
-    <Compile Include="DynamicProxy\Contributors\Delegates.cs" />
-    <Compile Include="DynamicProxy\Contributors\InterfaceProxyWithoutTargetContributor.cs" />
-    <Compile Include="DynamicProxy\Generators\DelegateMembersCollector.cs" />
-    <Compile Include="DynamicProxy\Generators\DelegateProxyGenerationHook.cs" />
-    <Compile Include="DynamicProxy\Generators\DelegateProxyGenerator.cs" />
-    <Compile Include="DynamicProxy\Contributors\DelegateProxyTargetContributor.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\BindDelegateExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\IfNullExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\MultiStatementExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\IInvocationCreationContributor.cs" />
-    <Compile Include="DynamicProxy\Generators\InheritanceInvocationTypeGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\ClassProxyWithTargetGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NullCoalescingOperatorExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\GeneratorUtil.cs" />
-    <Compile Include="DynamicProxy\Contributors\MixinContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\ForwardingMethodGenerator.cs" />
-    <Compile Include="DynamicProxy\DefaultProxyBuilder.cs" />
-    <Compile Include="DynamicProxy\Contributors\ClassProxyInstanceContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\ClassProxyWithTargetInstanceContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\ClassProxyTargetContributor.cs" />
-    <Compile Include="DynamicProxy\Internal\AttributeUtil.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AssignArgumentStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AsTypeReference.cs" />
-    <Compile Include="DynamicProxy\Generators\AttributesToAvoidReplicating.cs" />
-    <Compile Include="DynamicProxy\Generators\BaseProxyGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\CacheKey.cs" />
-    <Compile Include="DynamicProxy\Generators\ClassProxyGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\AbstractTypeEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\ArgumentsUtil.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\ClassEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\CodeBuilders\AbstractCodeBuilder.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\CodeBuilders\ConstructorCodeBuilder.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\CodeBuilders\MethodCodeBuilder.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\ConstructorCollection.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\ConstructorEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\EventCollection.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\EventEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\GenericUtil.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\IMemberEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\LdcOpCodesDictionary.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\LdindOpCodesDictionary.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\MethodCollection.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\MethodEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\NestedClassCollection.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\NestedClassEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\OpCodeUtil.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\PropertiesCollection.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\PropertyEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AddressOfReferenceExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ArgumentReference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AssignArrayStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AssignStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ByRefReference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ConstReference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ConstructorInvocationStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ConvertExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\DefaultValueExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\Expression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ExpressionStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\FieldReference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\IILEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\IndirectReference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\LiteralIntExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\LoadArrayElementExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\LoadRefArrayElementExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\LocalReference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\MethodInvocationExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\MethodTokenExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NewArrayExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NewInstanceExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NopStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NullExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\Reference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ReferenceExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ReferencesToObjectArrayExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ReturnStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\SelfReference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\Statement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ThrowStatement.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\TypeReference.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\TypeTokenExpression.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\StindOpCodesDictionary.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\StrongNameUtil.cs" />
-    <Compile Include="DynamicProxy\Generators\Emitters\TypeConstructorEmitter.cs" />
-    <Compile Include="DynamicProxy\Generators\MetaEvent.cs" />
-    <Compile Include="DynamicProxy\Generators\GeneratorException.cs" />
-    <Compile Include="DynamicProxy\Contributors\InterfaceProxyInstanceContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\InterfaceProxyTargetContributor.cs" />
-    <Compile Include="DynamicProxy\Generators\IGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\INamingScope.cs" />
-    <Compile Include="DynamicProxy\Generators\CompositionInvocationTypeGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\InterfaceProxyWithoutTargetGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\InterfaceProxyWithTargetGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\InterfaceProxyWithTargetInterfaceGenerator.cs" />
-    <Compile Include="DynamicProxy\Contributors\ITypeContributor.cs" />
-    <Compile Include="DynamicProxy\Contributors\InterfaceProxyWithTargetInterfaceTargetContributor.cs" />
-    <Compile Include="DynamicProxy\Generators\InvocationTypeGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\MethodGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\MethodSignatureComparer.cs" />
-    <Compile Include="DynamicProxy\Generators\MethodFinder.cs" />
-    <Compile Include="DynamicProxy\Generators\MetaMethod.cs" />
-    <Compile Include="DynamicProxy\Generators\MethodWithInvocationGenerator.cs" />
-    <Compile Include="DynamicProxy\Generators\NamingScope.cs" />
-    <Compile Include="DynamicProxy\Generators\MetaProperty.cs" />
-    <Compile Include="DynamicProxy\Contributors\MembersCollector.cs" />
-    <Compile Include="DynamicProxy\Contributors\ProxyInstanceContributor.cs" />
-    <Compile Include="DynamicProxy\Generators\MetaTypeElement.cs" />
-    <Compile Include="DynamicProxy\Generators\TypeElementCollection.cs" />
-    <Compile Include="DynamicProxy\Generators\MetaType.cs" />
-    <Compile Include="DynamicProxy\Internal\InheritanceInvocation.cs" />
-    <Compile Include="DynamicProxy\Internal\InternalsUtil.cs" />
-    <Compile Include="DynamicProxy\InvalidMixinConfigurationException.cs" />
-    <Compile Include="DynamicProxy\Internal\InvocationHelper.cs" />
-    <Compile Include="DynamicProxy\IProxyBuilder.cs" />
-    <Compile Include="DynamicProxy\IProxyGenerationHook.cs" />
-    <Compile Include="DynamicProxy\MixinData.cs" />
-    <Compile Include="DynamicProxy\ModuleScope.cs" />
-    <Compile Include="DynamicProxy\PersistentProxyBuilder.cs" />
-    <Compile Include="DynamicProxy\ProxyGenerationException.cs" />
-    <Compile Include="DynamicProxy\ProxyGenerationOptions.cs" />
-    <Compile Include="DynamicProxy\ProxyGenerator.cs" />
-    <Compile Include="DynamicProxy\Serialization\RemotableInvocation.cs" />
-    <Compile Include="DynamicProxy\Serialization\ProxyTypeConstants.cs" />
-    <Compile Include="DynamicProxy\Serialization\ProxyObjectReference.cs" />
-    <Compile Include="Core\Extensions\SilverlightExtensions.cs" />
-    <Compile Include="DynamicProxy\Tokens\DelegateMethods.cs" />
-    <Compile Include="DynamicProxy\Tokens\FormatterServicesMethods.cs" />
-    <Compile Include="DynamicProxy\Tokens\InterceptorSelectorMethods.cs" />
-    <Compile Include="DynamicProxy\Tokens\InvocationMethods.cs" />
-    <Compile Include="DynamicProxy\Tokens\MethodBaseMethods.cs" />
-    <Compile Include="DynamicProxy\Tokens\SerializationInfoMethods.cs" />
-    <Compile Include="DynamicProxy\Tokens\TypeBuilderMethods.cs" />
-    <Compile Include="DynamicProxy\Tokens\TypeMethods.cs" />
-    <Compile Include="DynamicProxy\IAttributeDisassembler.cs" />
-    <Compile Include="DynamicProxy\IInterceptorSelector.cs" />
-    <Compile Include="DynamicProxy\Tokens\TypeUtilMethods.cs" />
-    <Compile Include="Properties\InternalsVisibleToTests.cs" />
-    <Compile Include="Core\Internal\ILockHolder.cs" />
-    <Compile Include="Core\Internal\IUpgradeableLockHolder.cs" />
-    <Compile Include="Core\Internal\MonitorLockHolder.cs" />
-    <Compile Include="Core\Internal\MonitorUpgradeableLockHolder.cs" />
-    <Compile Include="Core\Internal\MonitorLock.cs" />
-    <Compile Include="Core\Internal\NoOpLock.cs" />
-    <Compile Include="Core\Internal\NoOpUpgradeableLock.cs" />
-    <Compile Include="Core\Internal\SlimReadWriteLock.cs" />
-    <Compile Include="Core\Internal\Lock.cs" />
-    <Compile Include="Core\Internal\SlimReadLockHolder.cs" />
-    <Compile Include="Core\Internal\SlimUpgradeableReadLockHolder.cs" />
-    <Compile Include="Core\Internal\SlimWriteLockHolder.cs" />
-    <Compile Include="Core\IServiceProviderExAccessor.cs" />
-    <Compile Include="DynamicProxy\IChangeProxyTarget.cs" />
-    <Compile Include="DynamicProxy\IInterceptor.cs" />
-    <Compile Include="DynamicProxy\IInvocation.cs" />
-    <Compile Include="DynamicProxy\IProxyTargetAccessor.cs" />
-    <Compile Include="DynamicProxy\StandardInterceptor.cs" />
-    <Compile Include="Core\IServiceEnabledComponent.cs" />
-    <Compile Include="Core\IServiceProviderEx.cs" />
-    <Compile Include="Core\Logging\AbstractExtendedLoggerFactory.cs" />
-    <Compile Include="Core\Logging\TraceLoggerFactory.cs" />
-    <Compile Include="Core\Logging\IContextProperties.cs" />
-    <Compile Include="Core\Logging\AbstractLoggerFactory.cs" />
-    <Compile Include="Core\Logging\ConsoleFactory.cs" />
-    <Compile Include="Core\Logging\DiagnosticsLoggerFactory.cs" />
-    <Compile Include="Core\Logging\NullLogFactory.cs" />
-    <Compile Include="Core\Logging\StreamLoggerFactory.cs" />
-    <Compile Include="Core\Logging\IContextStack.cs" />
-    <Compile Include="Core\Logging\IContextStacks.cs" />
-    <Compile Include="Core\Logging\IExtendedLogger.cs" />
-    <Compile Include="Core\Logging\IExtendedLoggerFactory.cs" />
-    <Compile Include="Core\Logging\ILogger.cs" />
-    <Compile Include="Core\Logging\ILoggerFactory.cs" />
-    <Compile Include="Core\Logging\LoggerException.cs" />
-    <Compile Include="Core\Logging\ConsoleLogger.cs" />
-    <Compile Include="Core\Logging\DiagnosticsLogger.cs" />
-    <Compile Include="Core\Logging\LevelFilteredLogger.cs" />
-    <Compile Include="Core\Logging\NullLogger.cs" />
-    <Compile Include="Core\Logging\StreamLogger.cs" />
-    <Compile Include="Core\Logging\TraceLogger.cs" />
-    <Compile Include="Core\Configuration\AbstractConfiguration.cs" />
-    <Compile Include="Core\Configuration\ConfigurationAttributeCollection.cs" />
-    <Compile Include="Core\Configuration\ConfigurationCollection.cs" />
-    <Compile Include="Core\Configuration\IConfiguration.cs" />
-    <Compile Include="Core\Configuration\MutableConfiguration.cs" />
-    <Compile Include="Core\Configuration\Xml\XmlConfigurationDeserializer.cs" />
-    <Compile Include="Core\Pair.cs" />
-    <Compile Include="Core\ProxyServices.cs" />
-    <Compile Include="Core\ReflectionBasedDictionaryAdapter.cs" />
-    <Compile Include="Core\Resource\AbstractResource.cs" />
-    <Compile Include="Core\Resource\AbstractStreamResource.cs" />
-    <Compile Include="Core\Resource\AssemblyResource.cs" />
-    <Compile Include="Core\Resource\AssemblyResourceFactory.cs" />
-    <Compile Include="Core\Resource\AssemblyBundleResource.cs" />
-    <Compile Include="Core\Resource\ConfigResource.cs" />
-    <Compile Include="Core\Resource\ConfigResourceFactory.cs" />
-    <Compile Include="Core\Resource\CustomUri.cs" />
-    <Compile Include="Core\Resource\FileResource.cs" />
-    <Compile Include="Core\Resource\FileResourceFactory.cs" />
-    <Compile Include="Core\Resource\IResource.cs" />
-    <Compile Include="Core\Resource\IResourceFactory.cs" />
-    <Compile Include="Core\Resource\ResourceException.cs" />
-    <Compile Include="Core\Resource\StaticContentResource.cs" />
-    <Compile Include="Core\Resource\UncResource.cs" />
-    <Compile Include="Core\Resource\UncResourceFactory.cs" />
-    <Compile Include="Core\Smtp\IEmailSender.cs" />
-    <Compile Include="Core\Smtp\DefaultSmtpSender.cs" />
-    <Compile Include="Core\StringObjectDictionaryAdapter.cs" />
-    <Compile Include="SecurityAssemblyInfo.cs" />
-  </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="DynamicProxy\DynProxy.snk" />
-  </ItemGroup>
-  <ItemGroup>
-    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="..\..\buildscripts\CastleKey.snk">
-      <Link>CastleKey.snk</Link>
-    </None>
-  </ItemGroup>
-  <ItemGroup>
-    <Folder Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XLinq\" />
-  </ItemGroup>
-  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" Condition="($(MSBuildTargets) == '') Or ($(MSBuildTargets) == 'CSharp')" />
-  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v4.0\Microsoft.Silverlight.CSharp.targets" Condition="$(MSBuildTargets) == 'Silverlight 4.0'" />
-  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v5.0\Microsoft.Silverlight.CSharp.targets" Condition="$(MSBuildTargets) == 'Silverlight 5.0'" />
-  <Import Project="$(RootPath)\Settings.proj" />
-  <Import Project="$(BuildScriptsPath)\Castle.Common.targets" />
-  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
-       Other similar extension points exist, see Microsoft.Common.targets.
-  <Target Name="BeforeBuild">
-  </Target>
-  <Target Name="AfterBuild">
-  </Target>
-  -->
+ï»¿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
+  <PropertyGroup>
+    <RootPath Condition=" '$(RootPath)' == '' ">$(MSBuildProjectDirectory)\..\..</RootPath>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+  </PropertyGroup>
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">NET40-Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{E4FA5B53-7D36-429E-8E5C-53D5479242BA}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>Castle</RootNamespace>
+    <AssemblyName>Castle.Core</AssemblyName>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>..\..\buildscripts\CastleKey.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'NET40-Debug|AnyCPU' ">
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
+    <OutputPath>bin\NET40-Debug\</OutputPath>
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <DefineConstants>TRACE;DEBUG;DOTNET40 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1591</NoWarn>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <Prefer32Bit>false</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'NET40-Release|AnyCPU' ">
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
+    <OutputPath>bin\NET40-Release\</OutputPath>
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <DefineConstants>TRACE;DOTNET40 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <DocumentationFile>bin\NET40-Release\Castle.Core.xml</DocumentationFile>
+    <NoWarn>1591</NoWarn>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <Prefer32Bit>false</Prefer32Bit>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET35-Debug|AnyCPU'">
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <OutputPath>bin\NET35-Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;DOTNET35 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
+    <Optimize>true</Optimize>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1591</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <Prefer32Bit>false</Prefer32Bit>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET35-Release|AnyCPU'">
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <OutputPath>bin\NET35-Release\</OutputPath>
+    <DefineConstants>TRACE;DOTNET35 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
+    <DocumentationFile>bin\NET35-Release\Castle.Core.xml</DocumentationFile>
+    <Optimize>true</Optimize>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1591</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>false</Prefer32Bit>
+    <WarningLevel>4</WarningLevel>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL40-Release|AnyCPU'">
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <MSBuildTargets>Silverlight 4.0</MSBuildTargets>
+    <OutputPath>bin\SL40-Release\</OutputPath>
+    <DefineConstants>TRACE;SILVERLIGHT SL4 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
+    <DocumentationFile>bin\SL40-Release\Castle.Core.xml</DocumentationFile>
+    <Optimize>true</Optimize>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1591 1685</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>false</Prefer32Bit>
+    <WarningLevel>4</WarningLevel>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL40-Debug|AnyCPU'">
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <MSBuildTargets>Silverlight 4.0</MSBuildTargets>
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\SL40-Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;SILVERLIGHT SL4 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1591 1685</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>false</Prefer32Bit>
+    <WarningLevel>4</WarningLevel>
+    <Optimize>false</Optimize>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL50-Release|AnyCPU'">
+    <TargetFrameworkVersion>v5.0</TargetFrameworkVersion>
+    <MSBuildTargets>Silverlight 5.0</MSBuildTargets>
+    <OutputPath>bin\SL50-Release\</OutputPath>
+    <DefineConstants>TRACE;SILVERLIGHT SL5 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
+    <DocumentationFile>bin\SL50-Release\Castle.Core.xml</DocumentationFile>
+    <Optimize>true</Optimize>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1591 1685</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>false</Prefer32Bit>
+    <WarningLevel>4</WarningLevel>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL50-Debug|AnyCPU'">
+    <TargetFrameworkVersion>v5.0</TargetFrameworkVersion>
+    <MSBuildTargets>Silverlight 5.0</MSBuildTargets>
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\SL40-Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;SILVERLIGHT SL5 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1591 1685</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>false</Prefer32Bit>
+    <WarningLevel>4</WarningLevel>
+    <Optimize>false</Optimize>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET45-Debug|AnyCPU'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\NET45-Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1591</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>false</Prefer32Bit>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <WarningLevel>4</WarningLevel>
+    <Optimize>false</Optimize>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Mono43-Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\NET45-Release\</OutputPath>
+    <DefineConstants>TRACE;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <DocumentationFile>bin\Mono43-Release\Castle.Core.xml</DocumentationFile>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <NoWarn>1591</NoWarn>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Mono43-Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Mono43-Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <NoWarn>1591</NoWarn>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <Prefer32Bit>false</Prefer32Bit>
+  </PropertyGroup>
+  <ItemGroup Condition="$(MSBuildTargets)!='Silverlight 5.0' and $(MSBuildTargets)!='Silverlight 4.0'">
+    <Reference Include="System.Xml" />
+    <Reference Include="System.Configuration" />
+  </ItemGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="..\..\buildscripts\CommonAssemblyInfo.cs">
+      <Link>CommonAssemblyInfo.cs</Link>
+    </Compile>
+    <Compile Include="Compatibility\IntrospectionExtensions.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\ListProjectionDebugView.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\ICollectionAdapter.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\ReferenceAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\XPathVariableAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\IfExistsAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\RemoveIfEmptyAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\VolatileAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\RemoveIfAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\XmlDefaultsAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\StringStorageAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterExtensions.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\IVirtual.cs" />
+    <Compile Include="Components.DictionaryAdapter\MemberwiseEqualityHashCodeStrategy.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Copy.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryCopyStrategy.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Coerce.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryCoerceStrategy.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryBehaviorBuilder.cs" />
+    <Compile Include="Components.DictionaryAdapter\GenericDictionaryAdapter.cs" />
+    <Compile Include="Components.DictionaryAdapter\PropertyChangedEventArgsEx.cs" />
+    <Compile Include="Components.DictionaryAdapter\PropertyChangingEventArgsEx.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\BindingList.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\IBindingList.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\IBindingListSource.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\ICollectionAdapterObserver.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\ICollectionProjection.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\ICondition.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\IVirtualSite.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\IVirtualTarget.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\ListProjection.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\SetProjection.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\VirtualObject.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\VirtualSite.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Core\DefaultXmlReferenceFormat.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryReferenceManager.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Core\IXmlReferenceFormat.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Collections\XmlCollectionAdapter.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlNodeSource.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlIterator.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\SystemXml\SysXmlSubtreeIterator.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlNodeBase.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlPositionComparer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Core\XmlReferenceManager.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\XRef.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlContextBase.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlContext.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlSelfAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Collections\XmlNodeSet.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlCollectionSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlSetSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlXmlNodeSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlIncludedType.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlIncludedTypeMap.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\IXmlBehaviorSemantics.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlNodeAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlIdentity.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\IXmlAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\IXmlCollectionAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\IXmlPropertyAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlAccessorFactory.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlArrayBehaviorAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlAttributeBehaviorAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlDefaultBehaviorAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlElementBehaviorAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XmlIgnoreBehaviorAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Accessors\XPathBehaviorAccessor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Collections\XmlCollectionItem.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Collections\XmlNodeList.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlKnownType.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\XmlIncludedType.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\IXmlKnownTypeMap.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\XmlIncludedTypeSet.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\XmlKnownType.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlArraySerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlComponentSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlCustomSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlDefaultSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlDynamicSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlEnumerationSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlListSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlSimpleSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlStringSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlTypeKind.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlTypeSerializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Serializers\XmlTypeSerializerCache.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\Xmlns.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\DictionaryAdapterExtensions.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\IRealizable.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\StringExtensions.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\TypeExtensions.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\Wsdl.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\Xsd.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Namespaces\Xsi.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\IConfigurable.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\Try.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlNamespaceSource.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\SystemXml\SysXmlExtensions.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Types\XmlKnownTypeSet.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\Error.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\SystemXml\SysXmlCursor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\SingletonDispenser.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\XmlSubtreeReader.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Utilities\XmlSubtreeWriter.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlCursor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\IXmlNode.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\CursorFlags.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\SystemXml\SysXmlNode.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlExtensions.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlName.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlNameComparer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\CompiledXPath.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\CompiledXPathNode.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\CompiledXPathStep.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlContext.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\Base\XmlSelfCursor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathBufferedNodeIterator.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathContext.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathExtensions.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathCompiler.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathMutableCursor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathNode.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XPath\XPathReadOnlyCursor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Core\XmlAdapter.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Core\XmlMetadata.cs" />
+    <Compile Include="Components.DictionaryAdapter\Xml\Core\XmlMetadataBehavior.cs" />
+    <Compile Include="Core\Internal\CollectionExtensions.cs" />
+    <Compile Include="Core\Internal\ExceptionMessageBuilder .cs" />
+    <Compile Include="Core\Internal\InterfaceAttributeUtil.cs" />
+    <Compile Include="Core\Internal\TypeExtensions.cs" />
+    <Compile Include="Core\Internal\WeakKey.cs" />
+    <Compile Include="Core\Internal\WeakKeyComparer.cs" />
+    <Compile Include="Core\Internal\WeakKeyDictionary.cs" />
+    <Compile Include="Core\ReferenceEqualityComparer.cs" />
+    <Compile Include="Core\Extensions\SimpleConverter.cs" />
+    <Compile Include="Core\Internal\InternalsVisible.cs" />
+    <Compile Include="Core\Internal\PermissionUtil.cs" />
+    <Compile Include="Components.DictionaryAdapter\AbstractDictionaryAdapter.cs" />
+    <Compile Include="Components.DictionaryAdapter\AbstractDictionaryAdapterVisitor.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\ComponentAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\DictionaryAdapterAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\DictionaryBehaviorAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\FetchAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\GroupAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\KeyAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\KeyPrefixAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\KeySubstitutionAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\MultiLevelEditAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\NewGuidAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\OnDemandAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\StringFormatAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\StringListAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\StringValuesAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\SuppressNotificationsAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\TypeKeyPrefixAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\XmlNamespaceAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\XPathAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\Attributes\XPathFunctionAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter\CascadingDictionaryAdapter.cs" />
+    <Compile Include="Components.DictionaryAdapter\DefaultPropertyGetter.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Create.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Edit.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Notify.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterBase.Validate.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterFactory.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterInstance.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryAdapterMeta.cs" />
+    <Compile Include="Components.DictionaryAdapter\DictionaryValidateGroup.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryAdapter.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryAdapterFactory.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryAdapterVisitor.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryBehavior.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryCreate.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryCreateStrategy.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryEdit.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryEqualityHashCodeStrategy.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryInitializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryKeyBuilder.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryMetaInitializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryNotify.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryPropertyGetter.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryPropertySetter.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryValidate.cs" />
+    <Compile Include="Components.DictionaryAdapter\IDictionaryValidator.cs" />
+    <Compile Include="Components.DictionaryAdapter\IPropertyDescriptorInitializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\NameValueCollectionAdapter.cs" />
+    <Compile Include="Components.DictionaryAdapter\PropertyDescriptor.cs" />
+    <Compile Include="Core\Internal\AttributesUtil.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\BindingListInitializer.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\DynamicValue.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\DynamicValueDelegate.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\EditableBindingList.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\EditableList.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\IDynamicValue.cs" />
+    <Compile Include="Components.DictionaryAdapter\Util\IValueInitializer.cs" />
+    <Compile Include="Core\Logging\LoggerLevel.cs" />
+    <Compile Include="DynamicProxy\AbstractInvocation.cs" />
+    <Compile Include="DynamicProxy\AllMethodsHook.cs" />
+    <Compile Include="AssemblyInfo.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\TryStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\FinallyStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\EndExceptionBlockStatement.cs" />
+    <Compile Include="DynamicProxy\Internal\CompositionInvocation.cs" />
+    <Compile Include="DynamicProxy\Contributors\ClassProxyWithTargetTargetContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\CompositeTypeContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\DelegateTypeGenerator.cs" />
+    <Compile Include="DynamicProxy\Contributors\InterfaceProxyWithOptionalTargetContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\InvocationWithDelegateContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\InvocationWithGenericDelegateContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\OptionallyForwardingMethodGenerator.cs" />
+    <Compile Include="DynamicProxy\Contributors\WrappedClassMembersCollector.cs" />
+    <Compile Include="DynamicProxy\Generators\AttributeDisassembler.cs" />
+    <Compile Include="DynamicProxy\Internal\TypeUtil.cs" />
+    <Compile Include="DynamicProxy\InvalidProxyConstructorArgumentsException.cs" />
+    <Compile Include="DynamicProxy\ProxyUtil.cs" />
+    <Compile Include="DynamicProxy\Serialization\CacheMappingsAttribute.cs" />
+    <Compile Include="DynamicProxy\Contributors\ClassMembersCollector.cs" />
+    <Compile Include="DynamicProxy\Contributors\MinimialisticMethodGenerator.cs" />
+    <Compile Include="DynamicProxy\Contributors\InterfaceMembersCollector.cs" />
+    <Compile Include="DynamicProxy\Contributors\InterfaceMembersOnClassCollector.cs" />
+    <Compile Include="DynamicProxy\Contributors\Delegates.cs" />
+    <Compile Include="DynamicProxy\Contributors\InterfaceProxyWithoutTargetContributor.cs" />
+    <Compile Include="DynamicProxy\Generators\DelegateMembersCollector.cs" />
+    <Compile Include="DynamicProxy\Generators\DelegateProxyGenerationHook.cs" />
+    <Compile Include="DynamicProxy\Generators\DelegateProxyGenerator.cs" />
+    <Compile Include="DynamicProxy\Contributors\DelegateProxyTargetContributor.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\BindDelegateExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\IfNullExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\MultiStatementExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\IInvocationCreationContributor.cs" />
+    <Compile Include="DynamicProxy\Generators\InheritanceInvocationTypeGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\ClassProxyWithTargetGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NullCoalescingOperatorExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\GeneratorUtil.cs" />
+    <Compile Include="DynamicProxy\Contributors\MixinContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\ForwardingMethodGenerator.cs" />
+    <Compile Include="DynamicProxy\DefaultProxyBuilder.cs" />
+    <Compile Include="DynamicProxy\Contributors\ClassProxyInstanceContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\ClassProxyWithTargetInstanceContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\ClassProxyTargetContributor.cs" />
+    <Compile Include="DynamicProxy\Internal\AttributeUtil.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AssignArgumentStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AsTypeReference.cs" />
+    <Compile Include="DynamicProxy\Generators\AttributesToAvoidReplicating.cs" />
+    <Compile Include="DynamicProxy\Generators\BaseProxyGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\CacheKey.cs" />
+    <Compile Include="DynamicProxy\Generators\ClassProxyGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\AbstractTypeEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\ArgumentsUtil.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\ClassEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\CodeBuilders\AbstractCodeBuilder.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\CodeBuilders\ConstructorCodeBuilder.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\CodeBuilders\MethodCodeBuilder.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\ConstructorCollection.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\ConstructorEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\EventCollection.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\EventEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\GenericUtil.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\IMemberEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\LdcOpCodesDictionary.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\LdindOpCodesDictionary.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\MethodCollection.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\MethodEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\NestedClassCollection.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\NestedClassEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\OpCodeUtil.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\PropertiesCollection.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\PropertyEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AddressOfReferenceExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ArgumentReference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AssignArrayStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\AssignStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ByRefReference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ConstReference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ConstructorInvocationStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ConvertExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\DefaultValueExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\Expression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ExpressionStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\FieldReference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\IILEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\IndirectReference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\LiteralIntExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\LoadArrayElementExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\LoadRefArrayElementExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\LocalReference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\MethodInvocationExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\MethodTokenExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NewArrayExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NewInstanceExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NopStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\NullExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\Reference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ReferenceExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ReferencesToObjectArrayExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ReturnStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\SelfReference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\Statement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\ThrowStatement.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\TypeReference.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\SimpleAST\TypeTokenExpression.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\StindOpCodesDictionary.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\StrongNameUtil.cs" />
+    <Compile Include="DynamicProxy\Generators\Emitters\TypeConstructorEmitter.cs" />
+    <Compile Include="DynamicProxy\Generators\MetaEvent.cs" />
+    <Compile Include="DynamicProxy\Generators\GeneratorException.cs" />
+    <Compile Include="DynamicProxy\Contributors\InterfaceProxyInstanceContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\InterfaceProxyTargetContributor.cs" />
+    <Compile Include="DynamicProxy\Generators\IGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\INamingScope.cs" />
+    <Compile Include="DynamicProxy\Generators\CompositionInvocationTypeGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\InterfaceProxyWithoutTargetGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\InterfaceProxyWithTargetGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\InterfaceProxyWithTargetInterfaceGenerator.cs" />
+    <Compile Include="DynamicProxy\Contributors\ITypeContributor.cs" />
+    <Compile Include="DynamicProxy\Contributors\InterfaceProxyWithTargetInterfaceTargetContributor.cs" />
+    <Compile Include="DynamicProxy\Generators\InvocationTypeGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\MethodGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\MethodSignatureComparer.cs" />
+    <Compile Include="DynamicProxy\Generators\MethodFinder.cs" />
+    <Compile Include="DynamicProxy\Generators\MetaMethod.cs" />
+    <Compile Include="DynamicProxy\Generators\MethodWithInvocationGenerator.cs" />
+    <Compile Include="DynamicProxy\Generators\NamingScope.cs" />
+    <Compile Include="DynamicProxy\Generators\MetaProperty.cs" />
+    <Compile Include="DynamicProxy\Contributors\MembersCollector.cs" />
+    <Compile Include="DynamicProxy\Contributors\ProxyInstanceContributor.cs" />
+    <Compile Include="DynamicProxy\Generators\MetaTypeElement.cs" />
+    <Compile Include="DynamicProxy\Generators\TypeElementCollection.cs" />
+    <Compile Include="DynamicProxy\Generators\MetaType.cs" />
+    <Compile Include="DynamicProxy\Internal\InheritanceInvocation.cs" />
+    <Compile Include="DynamicProxy\Internal\InternalsUtil.cs" />
+    <Compile Include="DynamicProxy\InvalidMixinConfigurationException.cs" />
+    <Compile Include="DynamicProxy\Internal\InvocationHelper.cs" />
+    <Compile Include="DynamicProxy\IProxyBuilder.cs" />
+    <Compile Include="DynamicProxy\IProxyGenerationHook.cs" />
+    <Compile Include="DynamicProxy\MixinData.cs" />
+    <Compile Include="DynamicProxy\ModuleScope.cs" />
+    <Compile Include="DynamicProxy\PersistentProxyBuilder.cs" />
+    <Compile Include="DynamicProxy\ProxyGenerationException.cs" />
+    <Compile Include="DynamicProxy\ProxyGenerationOptions.cs" />
+    <Compile Include="DynamicProxy\ProxyGenerator.cs" />
+    <Compile Include="DynamicProxy\Serialization\RemotableInvocation.cs" />
+    <Compile Include="DynamicProxy\Serialization\ProxyTypeConstants.cs" />
+    <Compile Include="DynamicProxy\Serialization\ProxyObjectReference.cs" />
+    <Compile Include="Core\Extensions\SilverlightExtensions.cs" />
+    <Compile Include="DynamicProxy\Tokens\DelegateMethods.cs" />
+    <Compile Include="DynamicProxy\Tokens\FormatterServicesMethods.cs" />
+    <Compile Include="DynamicProxy\Tokens\InterceptorSelectorMethods.cs" />
+    <Compile Include="DynamicProxy\Tokens\InvocationMethods.cs" />
+    <Compile Include="DynamicProxy\Tokens\MethodBaseMethods.cs" />
+    <Compile Include="DynamicProxy\Tokens\SerializationInfoMethods.cs" />
+    <Compile Include="DynamicProxy\Tokens\TypeBuilderMethods.cs" />
+    <Compile Include="DynamicProxy\Tokens\TypeMethods.cs" />
+    <Compile Include="DynamicProxy\IAttributeDisassembler.cs" />
+    <Compile Include="DynamicProxy\IInterceptorSelector.cs" />
+    <Compile Include="DynamicProxy\Tokens\TypeUtilMethods.cs" />
+    <Compile Include="Properties\InternalsVisibleToTests.cs" />
+    <Compile Include="Core\Internal\ILockHolder.cs" />
+    <Compile Include="Core\Internal\IUpgradeableLockHolder.cs" />
+    <Compile Include="Core\Internal\MonitorLockHolder.cs" />
+    <Compile Include="Core\Internal\MonitorUpgradeableLockHolder.cs" />
+    <Compile Include="Core\Internal\MonitorLock.cs" />
+    <Compile Include="Core\Internal\NoOpLock.cs" />
+    <Compile Include="Core\Internal\NoOpUpgradeableLock.cs" />
+    <Compile Include="Core\Internal\SlimReadWriteLock.cs" />
+    <Compile Include="Core\Internal\Lock.cs" />
+    <Compile Include="Core\Internal\SlimReadLockHolder.cs" />
+    <Compile Include="Core\Internal\SlimUpgradeableReadLockHolder.cs" />
+    <Compile Include="Core\Internal\SlimWriteLockHolder.cs" />
+    <Compile Include="Core\IServiceProviderExAccessor.cs" />
+    <Compile Include="DynamicProxy\IChangeProxyTarget.cs" />
+    <Compile Include="DynamicProxy\IInterceptor.cs" />
+    <Compile Include="DynamicProxy\IInvocation.cs" />
+    <Compile Include="DynamicProxy\IProxyTargetAccessor.cs" />
+    <Compile Include="DynamicProxy\StandardInterceptor.cs" />
+    <Compile Include="Core\IServiceEnabledComponent.cs" />
+    <Compile Include="Core\IServiceProviderEx.cs" />
+    <Compile Include="Core\Logging\AbstractExtendedLoggerFactory.cs" />
+    <Compile Include="Core\Logging\TraceLoggerFactory.cs" />
+    <Compile Include="Core\Logging\IContextProperties.cs" />
+    <Compile Include="Core\Logging\AbstractLoggerFactory.cs" />
+    <Compile Include="Core\Logging\ConsoleFactory.cs" />
+    <Compile Include="Core\Logging\DiagnosticsLoggerFactory.cs" />
+    <Compile Include="Core\Logging\NullLogFactory.cs" />
+    <Compile Include="Core\Logging\StreamLoggerFactory.cs" />
+    <Compile Include="Core\Logging\IContextStack.cs" />
+    <Compile Include="Core\Logging\IContextStacks.cs" />
+    <Compile Include="Core\Logging\IExtendedLogger.cs" />
+    <Compile Include="Core\Logging\IExtendedLoggerFactory.cs" />
+    <Compile Include="Core\Logging\ILogger.cs" />
+    <Compile Include="Core\Logging\ILoggerFactory.cs" />
+    <Compile Include="Core\Logging\LoggerException.cs" />
+    <Compile Include="Core\Logging\ConsoleLogger.cs" />
+    <Compile Include="Core\Logging\DiagnosticsLogger.cs" />
+    <Compile Include="Core\Logging\LevelFilteredLogger.cs" />
+    <Compile Include="Core\Logging\NullLogger.cs" />
+    <Compile Include="Core\Logging\StreamLogger.cs" />
+    <Compile Include="Core\Logging\TraceLogger.cs" />
+    <Compile Include="Core\Configuration\AbstractConfiguration.cs" />
+    <Compile Include="Core\Configuration\ConfigurationAttributeCollection.cs" />
+    <Compile Include="Core\Configuration\ConfigurationCollection.cs" />
+    <Compile Include="Core\Configuration\IConfiguration.cs" />
+    <Compile Include="Core\Configuration\MutableConfiguration.cs" />
+    <Compile Include="Core\Configuration\Xml\XmlConfigurationDeserializer.cs" />
+    <Compile Include="Core\Pair.cs" />
+    <Compile Include="Core\ProxyServices.cs" />
+    <Compile Include="Core\ReflectionBasedDictionaryAdapter.cs" />
+    <Compile Include="Core\Resource\AbstractResource.cs" />
+    <Compile Include="Core\Resource\AbstractStreamResource.cs" />
+    <Compile Include="Core\Resource\AssemblyResource.cs" />
+    <Compile Include="Core\Resource\AssemblyResourceFactory.cs" />
+    <Compile Include="Core\Resource\AssemblyBundleResource.cs" />
+    <Compile Include="Core\Resource\ConfigResource.cs" />
+    <Compile Include="Core\Resource\ConfigResourceFactory.cs" />
+    <Compile Include="Core\Resource\CustomUri.cs" />
+    <Compile Include="Core\Resource\FileResource.cs" />
+    <Compile Include="Core\Resource\FileResourceFactory.cs" />
+    <Compile Include="Core\Resource\IResource.cs" />
+    <Compile Include="Core\Resource\IResourceFactory.cs" />
+    <Compile Include="Core\Resource\ResourceException.cs" />
+    <Compile Include="Core\Resource\StaticContentResource.cs" />
+    <Compile Include="Core\Resource\UncResource.cs" />
+    <Compile Include="Core\Resource\UncResourceFactory.cs" />
+    <Compile Include="Core\Smtp\IEmailSender.cs" />
+    <Compile Include="Core\Smtp\DefaultSmtpSender.cs" />
+    <Compile Include="Core\StringObjectDictionaryAdapter.cs" />
+    <Compile Include="SecurityAssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="DynamicProxy\DynProxy.snk" />
+  </ItemGroup>
+  <ItemGroup>
+    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="..\..\buildscripts\CastleKey.snk">
+      <Link>CastleKey.snk</Link>
+    </None>
+  </ItemGroup>
+  <ItemGroup>
+    <Folder Include="Components.DictionaryAdapter\Xml\Internal\Cursors\XLinq\" />
+  </ItemGroup>
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" Condition="($(MSBuildTargets) == '') Or ($(MSBuildTargets) == 'CSharp')" />
+  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v4.0\Microsoft.Silverlight.CSharp.targets" Condition="$(MSBuildTargets) == 'Silverlight 4.0'" />
+  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v5.0\Microsoft.Silverlight.CSharp.targets" Condition="$(MSBuildTargets) == 'Silverlight 5.0'" />
+  <Import Project="$(RootPath)\Settings.proj" />
+  <Import Project="$(BuildScriptsPath)\Castle.Common.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
 </Project>
\ No newline at end of file
